upower (1.90.2-8) unstable; urgency=medium

  * Adjust test_bluetooth_le_device for dbusmock 0.30.1.
    Patch taken from upstream master. (Closes: #1059467)

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 Dec 2023 06:59:41 +0100

upower (1.90.2-7) unstable; urgency=medium

  * Replace udev Build-Depends with systemd-dev.
    The new systemd-dev package ships udev.pc, which is used to get
    udevrulesdir and udevhwdbdir.

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:31:32 +0100

upower (1.90.2-6) unstable; urgency=medium

  * Move systemd services files and udev rules/hwdb files to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.

 -- Michael Biebl <biebl@debian.org>  Sat, 21 Oct 2023 14:24:44 +0200

upower (1.90.2-5) unstable; urgency=medium

  * Remove __pycache__ directories in 'clean' target via debian/clean.
    (Closes: #1048444)
  * Ignore autopkgtest failure on i386.
    This is a workaround until #1050436 has been addressed properly to allow
    migration to testing.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Sep 2023 11:30:18 +0200

upower (1.90.2-4) unstable; urgency=medium

  [ Pino Toscano ]
  * Make the upower-tests package as linux-any

  [ Michael Biebl ]
  * Switch debian-branch to debian/master
  * Exclude .device files in /usr/libexec/upower/tests/ from dh_fixperms
  * Add python3 Depends to upower-tests
  * Upload to unstable (Closes: #1042914)

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Aug 2023 14:24:33 +0200

upower (1.90.2-3) experimental; urgency=medium

  [ Pino Toscano ]
  * Make it build again on non-Linux architectures:
    - backport upstream commit 029651a96dfc8e8e1dc6eca79bd3bf23d3aeb5ce to
      install the udev files only on Linux
    - d/rules: tweak the meson parameters to install the systemd files only
      on Linux
    - d/upower.install: restrict the systemd files only to Linux

  [ Michael Biebl ]
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jul 2023 19:39:42 +0200

upower (1.90.2-2) experimental; urgency=medium

  * Bump Build-Depends on libgudev-1.0-dev to (>= 238) (Closes: #1040642)
  * Add new upower-tests package.
    Update autopkgtest to use upower-tests for the integration test.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Jul 2023 20:44:42 +0200

upower (1.90.2-1) experimental; urgency=medium

  * New upstream version 1.90.2
  * Drop patches, merged upstream

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jul 2023 15:14:44 +0200

upower (1.90.1-1) experimental; urgency=medium

  * New upstream version 1.90.1
  * Use patch-numbers=False for gbp-pq
  * linux: Fix integration test to work with system installed upower binary

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jul 2023 17:50:42 +0200

upower (1.90.0-2) experimental; urgency=medium

  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025587)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:28:24 +0100

upower (1.90.0-1) experimental; urgency=medium

  * New upstream version 1.90.0

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Aug 2022 20:35:58 +0200

upower (0.99.20-2) unstable; urgency=medium

  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025587)

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 13:24:05 +0100

upower (0.99.20-1) unstable; urgency=medium

  * New upstream version 0.99.20
  * Drop patches, applied upstream
  * Use dh-sequence-gir Build-Depends to enable the gir addon

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2022 18:39:40 +0200

upower (0.99.19-1) unstable; urgency=medium

  * New upstream version 0.99.19
  * test: Properly wait for idle handler after uevents
  * Bump Standards-Version to 4.6.1

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Jun 2022 16:24:10 +0200

upower (0.99.18-3) unstable; urgency=medium

  * test: Disable systemd v251 sysfs verification

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2022 18:49:55 +0200

upower (0.99.18-2) unstable; urgency=medium

  * Increase shutdown timeout in integration test

 -- Michael Biebl <biebl@debian.org>  Thu, 19 May 2022 17:59:52 +0200

upower (0.99.18-1) unstable; urgency=medium

  * New upstream version 0.99.18
  * Update Build-Depends on meson and libglib2.0-dev as per meson.build
  * meson: Allow unittest inspector to fail
  * Install new udev hwdb file
  * Remove wakeup symbols from libupower-glib3.symbols.
    Strictly speaking, the removal of the wakeup API constitutes an API/ABI
    break and the soname of the library should have been bumped. As upower
    appears to be the only user of that API though, it should be relatively
    safe without an explicit soname bump.
    To ensure that both upower and gir1.2-upowerglib-1.0 are upgraded along
    with libupower-glib3, add versioned Breaks against those packages to
    libupower-glib3.
  * Tighten dependency between upower and libupower-glib3.
    As the server uses internal symbols from libupower-glib, ensure that
    both packages are always upgraded in lock-step.

 -- Michael Biebl <biebl@debian.org>  Tue, 17 May 2022 17:35:30 +0200

upower (0.99.17-1) unstable; urgency=medium

  * New upstream version 0.99.17
  * Drop patches, all applied upstream
  * Remove unnecessary version constraints

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Mar 2022 19:59:13 +0100

upower (0.99.16-2) unstable; urgency=medium

  * Cherry-pick FD handling fixes from upstream (Closes: #1006368)

 -- Michael Biebl <biebl@debian.org>  Sat, 26 Feb 2022 10:43:19 +0100

upower (0.99.16-1) unstable; urgency=medium

  * New upstream version 0.99.16
    - Silence unnecessary udev event warnings (Closes: #989512)
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2022 20:48:18 +0100

upower (0.99.15-1) unstable; urgency=medium

  * New upstream version 0.99.15
  * Drop patches, all merged upstream

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Feb 2022 18:11:55 +0100

upower (0.99.14-2) unstable; urgency=medium

  * Cherry-pick more build related fixes from upstream

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2022 23:12:15 +0100

upower (0.99.14-1) unstable; urgency=medium

  * New upstream version 0.99.14
  * Switch to Meson build system
  * Cherry-pick Meson fixes from upstream
  * Update symbols file for libupower-glib3
  * Drop up_exported_kbd_backlight_* symbols
  * Extend upower-doc description a bit
  * Fix upstream-system autopkgtest

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2022 20:47:39 +0100

upower (0.99.13-1) unstable; urgency=medium

  * New upstream version 0.99.13
  * Use DEP-14 branch names
  * Update debian/watch.
    Thanks to Ansgar Burchardt
  * Bump Build-Depends on libgudev-1.0-dev to (>= 235)
  * Drop Build-Depends on libusb-1.0-0-dev, no longer needed
  * Remove obsolete debian/upower.maintscript
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Bump Standards-Version to 4.6.0
  * Bump debhelper-compat to 13
  * Add python3-packaging to upstream-system test.
    Required by src/linux/integration-test.
  * Use https in debian/copyright
  * Set Rules-Requires-Root: no

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Aug 2021 11:03:33 +0200

upower (0.99.11-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper version to 12, switch from dh_systemd_enable to
    dh_installsystemd
  * Move the daemon to /usr/libexec now that's allowed in the policy
  * debian/libupower-glib3.symbols: Add Build-Depends-Package field
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Move libglib2.0-doc to B-D-I and mark upower-doc with
    Build-Profiles: <!nodoc>

 -- Michael Biebl <biebl@debian.org>  Sat, 16 May 2020 18:55:03 +0200

upower (0.99.11-1) unstable; urgency=medium

  * New upstream version 0.99.11
  * Move intltool → gettext build dependency.
    The new upstream release stopped using the deprecated intltool.
  * Bump Standards-Version to 4.4.0.  No changes necessary.
  * d/t/control: Add missing python3-dbusmock test dependency.
    Without this, the test just skips and does nothing.
  * Mark "build" autopkgtest as isolation-container.
    In a schroot, where the daemon is not running,
    up_client_get_daemon_version() returns NULL and the subsequent strlen()
    then crashes.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Sep 2019 07:48:09 +0000

upower (0.99.10-1) unstable; urgency=medium

  * New upstream bug fix release 0.99.10
  * Bump Standards-Version to 4.3.0. No changes necessary.
  * Drop obsolete debian/upower.lintian-overrides

 -- Martin Pitt <mpitt@debian.org>  Sun, 24 Feb 2019 07:23:30 +0000

upower (0.99.9-3) unstable; urgency=medium

  * d/p/daemon-Consider-pending-charge-when-calculating-the-displ.patch:
    - Detect AC state on pending state (LP: #1745032)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Jan 2019 11:35:14 +0000

upower (0.99.9-2) unstable; urgency=medium

  * Move D-Bus policy file to /usr/share/dbus-1/system.d/
  * Remove obsolete conffile /etc/dbus-1/system.d/org.freedesktop.UPower.conf
    on upgrades
  * Bump Standards-Version to 4.2.1

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Nov 2018 00:01:21 +0100

upower (0.99.9-1) unstable; urgency=medium

  * New upstream version 0.99.9
    - Fix lack of update after AC status changes, and broken keyboard
      backlight, following the daemon lockdown added in 0.99.8.
      (Closes: #903795)

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Oct 2018 20:51:55 +0200

upower (0.99.8-2) unstable; urgency=medium

  * Remove PrivateNetwork=true from upower.service.
    upower needs to receive device uevents via AF_NETLINK socket otherwise
    it can't detect plug/unplug events. (Closes: #902644)

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Jul 2018 14:07:56 +0200

upower (0.99.8-1) unstable; urgency=medium

  * New upstream version 0.99.8
  * Update debian/watch to pull the tarballs from
    https://gitlab.freedesktop.org
  * Update symbols file for libupower-glib3
  * Switch to dh_missing to handle uninstalled files

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Jun 2018 22:45:06 +0200

upower (0.99.7-2) unstable; urgency=medium

  * debian/tests/control: Add a test-dep on python3-dbus, needed for
    src/linux/integration-test as of 0.99.7.
  * debian/control: Update Vcs-* for salsa.d.o move.

 -- Iain Lane <laney@debian.org>  Tue, 30 Jan 2018 14:31:02 +0000

upower (0.99.7-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use https for Vcs-Git and Homepage
  * Use https in debian/watch

  [ Martin Pitt ]
  * New upstream version 0.99.7
  * Bump Standards-Version to 4.1.2. No changes necessary.
  * Add lintian override for udev-rule-missing-subsystem.
    The file does have a SUBSYSTEM check, just in a separate rule with a
    GOTO jump.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Dec 2017 23:02:00 +0100

upower (0.99.6-1) unstable; urgency=medium

  * New upstream release. Drop patches, included upstream.
  * Bump Standards-Version to 4.0.1. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2017 22:35:38 +0200

upower (0.99.5-3) unstable; urgency=medium

  * Correctly close inhibitor FD

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Aug 2017 09:24:18 +0200

upower (0.99.5-2) unstable; urgency=medium

  * Use autoreconf to update the build system
  * Bump debhelper compat level to 10 for automatic dh-autoreconf
  * Drop custom prerm/postinst code to restart upower on upgrades
  * Don't enable upower.service in graphical.target by default

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Jul 2017 23:56:50 +0200

upower (0.99.5-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream bug fix release. Drop all patches, included upstream.
  * Update config.{guess,sub} during build, as per Policy 4.0.0 §4.3.
  * Bump Standards-Version to 4.0.0.
  * Drop --enable-deprecated configure option, it has been a no-op since 0.99.

  [ Michael Biebl ]
  * Drop migration code from pre-wheezy.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jul 2017 12:04:58 +0200

upower (0.99.4-4) unstable; urgency=medium

  * Install typelib files into multiarch paths.
  * Mark gir1.2-upowerglib-1.0 and libupower-glib-dev as Multi-Arch: same and
    upower-doc as Multi-Arch: foreign.
  * Use dh-exec to install architecture specific files.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Sep 2016 15:55:05 +0200

upower (0.99.4-3) unstable; urgency=medium

  * UpKbdBacklight: Don't cache the brightness level, always read
    it from sysfs. (LP: #1583861)
  * Fix up_client_new() returning an invalid object (that causes crashes on
    any operation) when upowerd is not (yet) started. (LP: #1546641)
  * debian/libupower-glib3.symbols: Add new symbol from previous patch.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Fri, 10 Jun 2016 10:28:20 +0200

upower (0.99.4-2) unstable; urgency=high

  * Urgency high as this is a targetted fix for RC bug in testing.
  * Fix copy&paste error that called the wrong _complete_ function
    for up_daemon_get_critical_action(), causing a segfault.
    (Closes: #815590, LP: #1547793)

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Feb 2016 09:58:09 +0100

upower (0.99.4-1) unstable; urgency=medium

  * New upstream release.
  * Run wrap-and-sort -at.
  * Drop (Build-)Depends on libdbus-1-dev and libdbus-glib-1-dev. UPower has
    been ported to use GDBus.
  * Update symbols file for libupower-glib3. A couple of private symbols were
    dropped (up_*_glue_*) and new private symbols were added (up_exported_*).
    Mark those as optional.
  * Use https:// for Vcs-Browser.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Feb 2016 00:19:34 +0100

upower (0.99.3-1) unstable; urgency=medium

  * New upstream release:
    - Support Logitech Unifying in Linux 3.19+ (Closes: #785725, LP: #1448834)
    - Fix Bluetooth HID batteries with recent kernels (Closes: #772095,
      LP: #772095)
  * Drop git_init_variants.patch, included in this release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 29 May 2015 10:19:59 +0200

upower (0.99.2-3) unstable; urgency=medium

  * Update Vcs-* fields for anonscm.d.o.
  * debian/control: Drop obsolete XS-Testsuite: field, dpkg adds this
    automatically now.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Apr 2015 08:57:31 +0200

upower (0.99.2-2) experimental; urgency=medium

  * libupower: Fix crash due to uninitialized GVariant. (Closes: #774546,
    LP: #1428337)

 -- Martin Pitt <mpitt@debian.org>  Fri, 13 Mar 2015 15:59:59 +0100

upower (0.99.2-1) experimental; urgency=medium

  * New upstream bug fix release:
    - Fix memory leaks with Logitech receivers. (LP: #757551)
    - Drop all debian/patches/*, included upstream.
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Thu, 18 Dec 2014 14:29:46 +0100

upower (0.99.1-3) unstable; urgency=medium

  * debian/tests/build: Drop up_client_get_can_suspend() call, this got
    dropped in this upstream version.
  * Add upstream patch to fix test suite crash if there is no session bus.
  * Add upstream patch to fix test suite for Python 3.4.
  * Add upstream patch to split test suite into smaller independent tests.
  * Add missing umockdev test dependencies so that the upstream test suite
    actually runs.

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Sep 2014 18:50:37 +0200

upower (0.99.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Aug 2014 23:04:36 +0200

upower (0.99.1-1) experimental; urgency=medium

  [ Martin Pitt ]
  * Drop pm-utils | systemd dependency, now unnecessary as suspend/hibernate
    functionality was dropped.

  [ Michael Biebl ]
  * New upstream release.
  * Drop Build-Depends on libpolkit-gobject-1-dev, no longer necessary.
  * Rename libupower-glib2 → libupower-glib3 for the soname bump.
  * Update symbols file, remove the *_is_docked symbols.
  * Upload to experimental.

 -- Martin Pitt <mpitt@debian.org>  Wed, 16 Jul 2014 12:21:51 +0200

upower (0.99.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.5
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 12 Jul 2014 20:45:10 +0200

upower (0.99.0-2) experimental; urgency=medium

  * debian/control: Let libupower-glib2 recommend upower

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2014 10:25:28 +0200

upower (0.99.0-1) experimental; urgency=medium

  * Team upload.
  * Imported Upstream version 0.99.0
  * Rename package for new SONAME (1->2)
  * Update symbols
  * Drop debian/patches/00git_clamp_percentage.patch, merged upstream.
  * Drop debian/patches/no_deprecation_define.patch
    - deprecated features no longer exists at all.
  * Drop debian/patches/always_use_pm-utils_backend.patch
    - new upstream now requires logind support
  * upower no longer install polkit files

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 21:19:45 +0100

upower (0.9.23-2) unstable; urgency=low

  * Drop hardcoded binary glib dependency, it's already being generated
    automatically from the versioned build depends.
  * Add 00git_clamp_percentage.patch: Clamp percentage for overfull batteries,
    to avoid showing 0% on some fully charged battery models. Fixes regression
    from 0.9.22. (LP: #1240673)

 -- Martin Pitt <mpitt@debian.org>  Wed, 23 Oct 2013 08:31:44 +0200

upower (0.9.23-1) unstable; urgency=low

  * New upstream bug fix release.
  * Force libglib2.0-0 to be at least 2.36 to avoid running against earlier
    glib versions which still required g_type_init(). (Closes: #722612)

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Oct 2013 17:11:30 +0200

upower (0.9.22-1) unstable; urgency=low

  * New upstream release.
  * Drop 00git_updates.patch, included in new release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 Oct 2013 18:26:25 +0200

upower (0.9.21-3) unstable; urgency=low

  * Add 00git_updates.patch to update to today's upstream git:
    - Fix batteries which report capacity, but not energy/charge
    - Add temperature property for batteries
    - Fix warning in up_device_supply_get_design_voltage
    - Make GetHistory() array order consistent

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Aug 2013 11:34:28 +0200

upower (0.9.21-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Run dh_install with --fail-missing to avoid forgetting about
    some scripts.
  * debian/rules: Explicitly set systemd util dir, to avoid build-depending on
    systemd.
  * debian/upower.install: Install notify-upower.sh. (LP: #1196752)

  [ Michael Biebl ]
  * debian/patches/always_use_pm-utils_backend.patch: Always use the pm-utils
    backend, even if logind is running. The availability of logind does not
    necessarily imply, that systemd is running (in a recent enough version),
    which is required for a successful suspend/hibernate.
    (Closes: #718458, LP: #1196752)

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Aug 2013 00:56:44 +0200

upower (0.9.21-1) unstable; urgency=low

  * New upstream release.
  * Add udev build dependency, so that configure can determine the udev
    directory.
  * Add alternative systemd dependency instead of just hard-depending on
    pm-utils. With logind, upower defers suspend to logind instead of calling
    pm-*, this allows us to not install pm-utils with systemd.

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Jul 2013 07:37:19 +0200

upower (0.9.20-2) unstable; urgency=low

  * Upload to unstable.
  * Use gir addon instead of calling dh_girepository manually.
  * Build for multiarch.
  * Use dpkg-buildflags support provided by dh with debhelper compat level 9.
  * Explicitly set libexecdir to /usr/lib/upower so the upowerd binary is
    installed into the proper location.

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Jun 2013 05:45:23 +0200

upower (0.9.20-1) experimental; urgency=low

  * New upstream release.
  * Bump libpolkit-gobject-1-dev build dependency as per upstream
    configure.ac.
  * Build with --enable-deprecated, we are not ready yet to drop
    suspend/hibernate functionality.
  * Bump Standards-Version to 3.9.4. No changes necessary.
  * Add "build" autopkgtest to compile/link/run a simple program against
    libupower-glib.
  * Drop unnecessary "needs-root" restriction from upstream-system
    autopkgtest.
  * Add no_deprecation_define.patch: Do not require applications to define
    UPOWER_ENABLE_DEPRECATED to access suspend/resume functionality. We are
    not ready to do that yet in Debian.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Mar 2013 19:19:51 +0100

upower (0.9.19-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 03 Jan 2013 10:38:45 +0100

upower (0.9.17-1) unstable; urgency=low

  * New upstream bug fix release.
  * Drop 00git_powersupply_property.patch, upstream now.
  * debian/control: Add XS-Testsuite: header as per current DEP-8 spec.
  * debian/tests/control: Depend on @, to also include our gir package and
    other packages we might have forgotten.
  * debian/tests/control: Drop undefined "no-build-needed" feature.

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Jun 2012 17:38:27 +0200

upower (0.9.16-3) unstable; urgency=low

  * Add 00git_powersupply_property.patch: Fix wrong PowerSupply property for
    devices without a scope sysfs attribute. Also committed to upstream git.
    (LP: #1012578)

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jun 2012 13:30:00 +0200

upower (0.9.16-2) unstable; urgency=low

  * Fix changelog. The one uploaded in 0.9.16-1 was incomplete due to a
    missing merge.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Apr 2012 21:31:28 +0200

upower (0.9.16-1) unstable; urgency=low

  * New upstream release.
  * Drop explicit Build-Depends on gir1.2-glib-2.0.
  * Use the systemd service file that is shipped upstream now.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Apr 2012 21:26:09 +0200

upower (0.9.15-3) unstable; urgency=low

  * debian/tests/control: Add missing python3 and python3-gi test
    dependencies.
  * Add 00git_fix_libusb_crash.patch: Fix crash in up_device_csr_finalize().
    Patch also committed to upstream git. (LP: #972300)
  * debian/copyright: Update to copyright 1.0 format and fix upstream URL.
  * debian/control: Update Standards-Version to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Apr 2012 12:41:14 +0200

upower (0.9.15-2) unstable; urgency=low

  * debian/control: Change section of gir1.2-upowerglib-1.0 to introspection.
  * Install systemd service file for upowerd.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Feb 2012 17:06:06 +0100

upower (0.9.15-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fix the versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Dec 2011 11:04:18 +0100

upower (0.9.14-3) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control: Add Build-Depends on libglib2.0-doc for proper
    cross-references in the gtk-doc API documentation.
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

  [ Martin Pitt ]
  * debian/tests/upstream-system: Just redirect integration-test's stderr to
    stdout, this is easier to test and still fulfills DEP-8.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 05:23:20 +0100

upower (0.9.14-2) unstable; urgency=low

  * Add debian/tests/control and debian/tests/upstream-system:
    DEP-8/autopkgtest control file for running the upstream tests.

 -- Martin Pitt <mpitt@debian.org>  Mon, 07 Nov 2011 10:59:32 +0100

upower (0.9.14-1) unstable; urgency=low

  * New upstream release.
    - Fix kFreeBSD detection.
    - Fix linux up_backend_supports_sleep_state() return code.
      (Closes: #639754)

 -- Michael Biebl <biebl@debian.org>  Mon, 03 Oct 2011 17:10:46 +0200

upower (0.9.13-1) unstable; urgency=low

  * New upstream release.
    - Modernize build system.
    - Update for the g_unix_signal_add_full() ABI break of glib 2.29.90.
    - Hardcode wacom battery devices as not power-supply devices.
  * debian/control: Add missing libdbus-1-dev dependency to
    libupower-glib-dev, the pkg-config file requires it. (LP: #829840)

 -- Martin Pitt <mpitt@debian.org>  Thu, 08 Sep 2011 12:59:57 +0200

upower (0.9.12-1) unstable; urgency=low

  * New upstream release:
    - Fix estimation rate for batteries that do not provide this data.
      (LP: #629258)
  * debian/copyright: Fix headers.
  * debian/watch: Look for *.xz tarballs, upstream only publishes these now.
    Repack our tarball as tar.bz2.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Jul 2011 13:06:06 +0200

upower (0.9.11-1) unstable; urgency=low

  * New upstream bug fix release.
  * debian/rules: Call dpkg-gensymbols in -c4 mode, to ensure that our
    symbols files are up to date.
  * debian/libupower-glib1.symbols: Add new symbols from this version.

 -- Martin Pitt <mpitt@debian.org>  Thu, 26 May 2011 16:27:43 +0200

upower (0.9.10-1) unstable; urgency=low

  * New upstream release:
    - Fix "unknown" battery status guessing to not be recursive. (LP: #384304)
  * debian/control: Drop obsolete devicekit-power-* Conflicts/Replaces.

 -- Martin Pitt <mpitt@debian.org>  Thu, 05 May 2011 14:31:17 +0200

upower (0.9.9-4) unstable; urgency=low

  * debian/control: Make pm-utils dependency [linux-any].

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2011 13:10:19 +0200

upower (0.9.9-3) unstable; urgency=low

  * debian/control
    - Add Depends on gir1.2-upowerglib-1.0 (= ${binary:Version}) to
      libupower-glib-dev according to the new GObject introspection policy.
    - Bump pm-utils from Recommends to Depends to avoid accidental removals
      leading to unexpected behaviour. (Closes: #619774)
    - Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Apr 2011 20:29:56 +0200

upower (0.9.9-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Mar 2011 13:00:59 +0100

upower (0.9.9-1) experimental; urgency=low

  * New upstream release.
    - Fix bitmap check in the input code. (Closes: #616474)
    - Add an option for polling dock devices in UPower.conf, defaulting to
      false. (Closes: #613745)
  * debian/control
    - Bump Build-Depend on libgudev-1.0-dev to (>= 147).
  * debian/libupower-glib1.symbols
    - Add new up_client_get_lid_force_sleep symbol.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 Mar 2011 11:46:20 +0100

upower (0.9.8-3) experimental; urgency=low

  [ Frédéric Péters ]
  * Enable gobject introspection support. (Closes: #614795)
    - Add Build-Depends on libgirepository1.0-dev (>= 0.9.12),
      gobject-introspection (>= 0.9.12-4~) and gir1.2-glib-2.0.
    - Add package gir1.2-upowerglib-1.0 containing the typelib file.
    - Install gir file in libupower-glib-dev.install.
    - Call dh_girepository for libupower-glib1 in debian/rules.

  [ Michael Biebl ]
  * Bump debhelper compatibility level to 8 and update build dependency on
    debhelper accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Feb 2011 17:46:34 +0100

upower (0.9.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 14:39:45 +0100

upower (0.9.8-1) experimental; urgency=low

  * New upstream release. Changes since our previous git snapshot:
    - Add an "IsDocked" property.
    - Testsuite: Reduce race condition in history purging check.
    - Update the list of HID UPS devices
    - Fix links to git repository in HACKING
    - Support the power_now sysfs attribute to get time remaining on new
      kernels
  * debian/libupower-glib1.symbols: Add new symbol.

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Jan 2011 16:56:11 +0100

upower (0.9.7+git20101104-e38cdd-1) experimental; urgency=low

  * Upgrade to latest git head, up to commit e38cddbb8:
    - Fix compilation eror against Linux 2.6.36
    - Check for and link against libplist. Fixes building with gcc 4.5.
    - Drop unnecessary check for polkit-backend.
    - Fix test suite to work as normal user, by using a temporary directory
      for the history files.
  * debian/control: Remove libpolkit-backend-1-dev build dependency again,
    this was only a workaround.
  * debian/rules: Move from cdbs to dh. Bump debhelper build dependency to >=
    7.0.50~, as required for overriding targets.
  * debian/rules: Disable running the upstream tests during package build, as
    they need a running system D-BUS (which we don't have on the buildds).

 -- Martin Pitt <mpitt@debian.org>  Thu, 04 Nov 2010 23:57:46 -0400

upower (0.9.7-1) experimental; urgency=low

  * New upstream release.
  * Remove patches that have been merged upstream
    - debian/patches/00git_dont_poll_serial_port_if_no_wup_adaptor.patch
    - debian/patches/00git_fix_double_dbus_return.patch
    - debian/patches/00git_fix_missing_polkit_dbus_return.patch
    - debian/patches/00git_fix_missing_qos_dbus_return.patch
    - debian/patches/00git_initialize_polkit_gerror.patch
  * Add Build-Depends on libpolkit-backend-1-dev (required if building against
    the old PolicyKit API).
  * Switch to source format 3.0 (quilt)
    - Update debian/source/format
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Nov 2010 11:46:22 -0400

upower (0.9.5-5) unstable; urgency=low

  * debian/patches/00git_dont_poll_serial_port_if_no_wup_adaptor.patch
    - Do not continue to poll the serial port if there is no Watts Up Pro
      adaptor. Patch cherry-picked from upstream Git. (Closes: #586751)
  * Drop libdevkit-power-gobject library packages as all reverse dependencies
    have been updated to use the new API provided by libupower-glib.
    (Closes: #595083)

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Oct 2010 21:39:56 +0200

upower (0.9.5-4) unstable; urgency=low

  * Add 00git_initialize_polkit_gerror.patch: Ensure we've initialized errors
    when calling into PolicyKit. Patch cherrypicked from upstream git head.
    (LP: #648414)
  * 00git_fix_double_dbus_return.patch: Unfuzz to apply on top of previous
    patch; now it exactly matches the upstream commit.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Oct 2010 11:40:25 +0200

upower (0.9.5-3) unstable; urgency=low

  * Add 00git_fix_double_dbus_return.patch,
    00git_fix_missing_polkit_dbus_return.patch,
    00git_fix_missing_qos_dbus_return.patch: Fix missing or duplicate D-BUS
    return values, which cause crashes. Patches cherrypicked from upstream git
    head. (LP: #614119)

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Sep 2010 18:04:17 +0200

upower (0.9.5-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.1.
    - Use architecture wildcards for the libgudev-1.0-dev, libkvm-dev and
      libusb-1.0-0-dev build dependencies.
    - Update Build-Depends according to configure.ac.
  * debian/upower.postinst
    - Query D-Bus to find out the correct pid of the process claiming
      org.freedesktop.UPower. This way we do not accidentally kill the
      wrong process when being installed in a chroot. (Closes: #594871)
  * debian/upower.prerm
    - Stop upowerd on remove. (Closes: #590017)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Sep 2010 01:02:15 +0200

upower (0.9.5-1) unstable; urgency=low

  * New upstream release:
    - Dynamic testing for enough hibernate swap. (LP: #599352)
    - Port UPower to libusb1 to avoid unfixable crashes. (LP: #522827)
  * debian/rules: Build a PO template during package build, for translation
    systems. (LP: #538321)
  * debian/control: Switch libusb-dev build dependency to libusb-1.0-0-dev,
    and add libimobiledevice-dev to support the new backend.
  * debian/control: Bump Standards-Version to 3.9.0; no changes necessary.
  * Drop transitional devicekit-power-doc package. It's been in testing long
    enough, and we do not want to carry it into the squeeze release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Jul 2010 14:43:12 +0200

upower (0.9.4-2) unstable; urgency=low

  * debian/upower.install
    - Install UPower.conf config file to the correct path. (Closes: #583353)
  * debian/upower.{preinst,postinst}
    - Move the config file on upgrades without triggering a dpkg prompt.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 May 2010 19:26:19 +0200

upower (0.9.4-1) unstable; urgency=low

  * New upstream bug fix release.
  * Drop 00git-fix-notifications.patch, upstream now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 May 2010 17:48:22 +0200

upower (0.9.3-2) unstable; urgency=low

  * Add 00git-fix-notifications.patch: Fix notifications for property changes
    such as "lid closed". Taken from upstream git head. (Closes: #580983)

 -- Martin Pitt <mpitt@debian.org>  Tue, 11 May 2010 16:39:28 +0200

upower (0.9.3-1) unstable; urgency=low

  * New upstream release.
    - Add a config file with SleepTimeout and AllowHibernateEncryptedSwap
    - Bug fixes.
  * debian/upower.install: Install the new conffile.
  * debian/control: Add missing ${misc:Depends} to quiesce lintian.
  * Add debian/source/format (1.0).

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 May 2010 18:48:38 +0200

upower (0.9.2-1) unstable; urgency=low

  * New upstream release.
    - Convert the daemon to using objects from libupower-glib.
    - Get sleep capabilities, swap information and suspend and hibernate
      commands from the backend, rather than hardcoding Linux specifics.
    - Make dummy backend usable for architectures without a native backend.
  * debian/patches/01-dummy-backend.patch
    - Removed, merged upstream.
  * debian/patches/99-autoreconf.patch
    - Removed, no longer needed.
  * debian/libupower-glib1.symbols
    - Update for new API additions.
  * debian/upower.install
    - Install translations.

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Apr 2010 11:41:10 +0200

upower (0.9.1-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/control
    - Update Homepage field.

  [ Martin Pitt ]
  * debian/watch: Update for new upstream location.

  [ Michael Biebl ]
  * debian/patches/01-dummy-backend.patch
    - Fix the dummy backend to compile successfully and make it usable on
      GNU/Hurd which does not have a native backend (yet).
      Patch based on work by Pino Toscano, thanks!
  * debian/patches/99-autoreconf.patch
    - Run autoreconf as the patch above needed changes to the build system.
  * debian/control
    - Don't build depend on libgudev-1.0-dev on hurd-i386.
    - Don't build depend on libusb-dev on kfreebsd-* and hurd-i386.

 -- Michael Biebl <biebl@debian.org>  Mon, 05 Apr 2010 00:21:22 +0200

upower (0.9.1-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream release. Compared to our git snapshot, this just fixes the
    BSD backend to compile.
  * debian/upower.postinst: Restart the daemon if we stopped it, so that
    clients don't suddenly stop getting signals.
  * debian/control: Add udisks Conflicts/Replaces to devicekit-power, and
    an additional Conflicts: to libdevkit-gobject, so that devicekit-power
    gets properly cleaned up on upgrade.
  * debian/upower.postinst: Migrate DeviceKit-power history on upgrade.
  * Add debian/upower.postrm: Clean up /var/lib/upower on purge.
    (Closes: #571156)

  [ Michael Biebl ]
  * debian/control
    - Add dependency on dbus.
    - Make udev a linux-only dependency.
    - Add build dependency on libkvm-dev for kfreebsd-*.
    - Don't build depend on libgudev-1.0-dev for kfreebsd-*.
  * Install udev rules files conditionally on linux only.
  * debian/*.symbols
    - Bump symbol versions from previous git snapshot versions to 0.9.1.

 -- Martin Pitt <mpitt@debian.org>  Fri, 05 Mar 2010 11:07:33 +0100

upower (0.9.0+git20100216.b9bb78-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Feb 2010 01:51:37 +0100

upower (0.9.0+git20100216.b9bb78-1) experimental; urgency=low

  * New upstream git snapshot:
    - Fix pkgconfig file to link against the correct library.
    - Fix pkgconfig file and include directory to agree on the path for
      libupower-glib include files.
  * debian/libupower-glib-dev.install: Update include path accordingly.

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Feb 2010 19:14:06 +0100

upower (0.9.0+git20100216.72bb2-1) experimental; urgency=low

  [ Martin Pitt ]
  * New upstream release, and updating to current git head:
    - Rename the project, library, and D-Bus interface to upower.
    - Bug fixes.
    - Translation updates.
    - Set client library's can_{suspend,hibernate} properties to False if
      suspend/hibernate is prohibited through PolicyKit. (LP: #432598)
  * Drop 01-lid-status-fallback.patch, 02-dkpclient-singleton.patch: Applied
    upstream.
  * debian/rules, debian/control: Add an epoch to the transitional
    devicekit-power-doc package, so that the upgrade will actually work.
  * debian/rules: Explicitly enable gtk-doc building, upstream configure
    disables that now.
  * Build libdevkit-power-gobject{1,-dev} packages, but mark them as obsolete.
    These are still necessary, until upowerd is fully ported to the new
    libupower-glib.

  [ Michael Biebl ]
  * debian/upower.install: Only install upower and upowerd, not the
    transitional symlinks.
  * debian/control: Bump Standards-Version to 3.8.4. No further changes.

 -- Martin Pitt <mpitt@debian.org>  Tue, 16 Feb 2010 10:10:47 +0100

devicekit-power (014-3) unstable; urgency=low

  * Add 02-dkpclient-singleton.patch: Make DkpClient a singleton to avoid some
    weird race conditions. Patch taken from upstream git. (Closes: #567021,
    LP: #425411)

 -- Martin Pitt <mpitt@debian.org>  Tue, 26 Jan 2010 20:26:03 +0100

devicekit-power (014-2) unstable; urgency=low

  * debian/patches/01-lid-status-fallback.patch
    - Use a fallback for the capability bit when checking the lid status.
      Patch pulled from upstream Git. (Closes: #555740)

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Jan 2010 09:51:53 +0100

devicekit-power (014-1) unstable; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Jan 2010 09:33:33 +0100

devicekit-power (013-1) unstable; urgency=low

  * New upstream release.
  * Drop 01-fix-hibernate-has-encrypted-swap-check.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Dec 2009 11:39:29 +0100

devicekit-power (012-2) unstable; urgency=low

  * debian/patches/01-fix-hibernate-has-encrypted-swap-check.patch
    - Fix broken check if swap space is encrypted. (Closes: #551797)
      Thanks to Michael Ott for spotting this.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Oct 2009 16:07:56 +0200

devicekit-power (012-1) unstable; urgency=low

  * New upstream release
    - Properly refresh update-time after AC changes. This avoids immediately
      suspending again when AC state changes during suspend. (LP: #425411)
  * debian/control
    - Add dependency on udev.
  * debian/devicekit-power.postinst
    - Use start-stop-daemon instead of kill+pidof to stop the running
      devkit-power-daemon process on upgrades.

 -- Michael Biebl <biebl@debian.org>  Mon, 19 Oct 2009 17:13:24 +0200

devicekit-power (011-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
  * debian/control
    - Add Recommends on pm-utils and policykit-1.

  [ Martin Pitt ]
  * debian/control:  This version changes the internal D-BUS API. Make library
    and daemon break each other for versions prior to 011, to avoid partial
    upgrades.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Oct 2009 18:04:57 +0200

devicekit-power (010-2) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control: Add missing libdevkit-power-gobject1 dependency to -dev.
  * Add debian/devicekit-power.postinst: Kill the old devkit-power-daemon on
    upgrade, to ensure that the new version will be used at the next occasion.

  [ Michael Biebl ]
  * debian/devicekit-power.{install,manpages}: Install manpages using the
    *.install file and drop redundant *.manpages file.
  * debian/libdevkit-power-gobject1.symbols: Add symbols file for improved
    shlibs dependencies.

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Sep 2009 16:59:43 +0200

devicekit-power (010-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream release:
    - Port to PolicyKit 1 API.
    - Port from DeviceKit to gudev.
    - Bug fixes.
  * debian/control:
    - libpolkit-dbus-dev → libpolkit-gobject-1-dev build dependency.
    - libdevkit-gobject-dev → libgudev-1.0-dev build dependency.
    - Drop devicekit dependency.
    - Add Breaks to gnome-power-manager versions which aren't ported to new
      PolicyKit API yet.
  * Drop 0001-Add-a-notify-flag-to-set_lid_is_closed.patch, fixed upstream.

  [ Michael Biebl ]
  * Add debian/README.source which refers to the quilt documentation.
  * Bump Standards-Version to 3.8.3.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Sep 2009 06:58:20 +0200

devicekit-power (009-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Add myself to uploaders (discussed with Michael).
  * debian/devicekit-power.install: Upstream installs udev rules into
    /lib/udev/rules.d now, update accordingly.
  * Add 0001-Add-a-notify-flag-to-set_lid_is_closed.patch: Properly fix the
    silencing of the coldplug lid event, so that the first real lid event
    actually works. Thanks to Loïc Minier! (fd.o #22574)

 -- Martin Pitt <mpitt@debian.org>  Mon, 06 Jul 2009 19:12:49 +0200

devicekit-power (008-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright
    - Add Name, Maintainer and Source field as recommended by DEP-5.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jun 2009 13:47:15 +0200

devicekit-power (007-1) experimental; urgency=low

  * Initial release. (Closes: #521363)

 -- Michael Biebl <biebl@debian.org>  Mon, 18 May 2009 08:50:24 +0200
